#ifndef __ARM7_READ_H__
#define __ARM7_READ_H__

#include "stdafx.h"
#include "zombie.h"

extern int dummy;

extern unsigned char RDHDECL arm7_read_byte_gen(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_dtcm(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_itcm(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_io(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_rom(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_ptok(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_wram(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_ewram(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_plt(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_oam(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_lcdc(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_vram(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_sram(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_wifi(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_na(unsigned int);
extern unsigned char RDHDECL arm7_read_byte_zero(unsigned int);

extern unsigned short int RDHDECL arm7_read_word_gen(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_dtcm(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_itcm(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_io(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_rom(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_ptok(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_wram(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_ewram(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_plt(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_oam(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_lcdc(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_vram(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_wifi(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_na(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_zero(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_ipc(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_ipc_mirror(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_ipc_v2(unsigned int);
extern unsigned short int RDHDECL arm7_read_word_ipc_mirror_v2(unsigned int);

extern int RDWDECL arm7_read_dword_gen(unsigned int);
extern int RDWDECL arm7_read_dword_dtcm(unsigned int);
extern int RDWDECL arm7_read_dword_itcm(unsigned int);
extern int RDWDECL arm7_read_dword_io(unsigned int);
extern int RDWDECL arm7_read_dword_rom(unsigned int);
extern int RDWDECL arm7_read_dword_ptok(unsigned int);
extern int RDWDECL arm7_read_dword_wram(unsigned int);
extern int RDWDECL arm7_read_dword_ewram(unsigned int);
extern int RDWDECL arm7_read_dword_plt(unsigned int);
extern int RDWDECL arm7_read_dword_oam(unsigned int);
extern int RDWDECL arm7_read_dword_lcdc(unsigned int);
extern int RDWDECL arm7_read_dword_vram(unsigned int);
extern int RDWDECL arm7_read_dword_wifi(unsigned int);
extern int RDWDECL arm7_read_dword_na(unsigned int);
extern int RDWDECL arm7_read_dword_zero(unsigned int);
extern int RDWDECL arm7_read_dword_ipc(unsigned int);
//extern int RDWDECL arm7_read_word_ipc_mirror(unsigned int);
//extern int RDWDECL arm7_read_word_ipc_v2(unsigned int);
//extern int RDWDECL arm7_read_word_ipc_mirror_v2(unsigned int);

#endif