#include "CEventQueue.h"

char szDebug[256];
DWORD fubar;


CEventQueue::CEventQueue(int items)
{
	e = new event[items];
	nItems = 0;
	nMax = items;
}


CEventQueue::~CEventQueue()
{
	delete [] e;
}


void CEventQueue::enqueue(event *pE) {
	int i,j;
	static int deblimit=20;

	if (nItems < nMax) {
		/*for (i=0; i<nItems; i++) {
			// We don't want the same event queued twice 
			if (pE->timestamp == e[i].timestamp)
				if (pE->data == e[i].data)
					return;

			if (pE->timestamp < e[i].timestamp)
				break;
		}

		if (i<nItems) {
			j = nItems;
			while (j>i) {
				e[j] = e[j-1];
				j--;
			}
		}
		e[i] = *pE;
		nItems++;*/

		// Make sure we don't get multiple overflows for the same timer
		// queued at once.
		if (((pE->data&0xFF)==EV_TIMER_OVERFLOW)) {
			for (i=nItems-1; i>=0; i--) {
				if (pE->data == e[i].data)
					break;
			}
			if (i>=0) {
				//wsprintf(szDebug," Removing event {%X,%d}\n",e[i].data,e[i].timestamp);
				//WriteConsole(hOut,szDebug,strlen(szDebug),(unsigned long*)&fubar,NULL);
				for (j=i+1; j<nItems; j++)
					e[j-1] = e[j];
				nItems--;
				//while (1) {}
			}
		} 

		for (i=nItems-1; i>=0; i--) {
			// We don't want the same event queued twice 
			if (pE->timestamp == e[i].timestamp) {
				if (pE->data == e[i].data)
					return;
			} else if (pE->timestamp < e[i].timestamp)
				break;
		}
		i++;

		//wsprintf(szDebug,"Adding event {%X,%d} at %d (%d)\n",pE->data,pE->timestamp,i,nItems);
		//WriteConsole(hOut,szDebug,strlen(szDebug),(unsigned long*)&fubar,NULL);

		if (i<nItems) {
			j = nItems;
			while (j>i) {
				e[j] = e[j-1];
				j--;
			}
		}
		e[i] = *pE;
		nItems++;

	}
}


void CEventQueue::dequeue(event *pE) {
	int i;

	if (nItems>0) {
		/*pE->data = e[0].data; pE->timestamp = e[0].timestamp;

		if (nItems>1)
			for (i=0; i<nItems-1; i++) {
				e[i] = e[i+1];
			}*/
		pE->data = e[nItems-1].data; pE->timestamp = e[nItems-1].timestamp;
		/*if (nItems>1)
			for (i=0; i<nItems-1; i++) {
				e[i] = e[i+1];
			}*/
		nItems--;
	}
}


void CEventQueue::flush()
{
	nItems = 0;
}
